Bug 1279587 - Keyboard keydown getting stuck in wine LFS.exe when key presses repeat is enabled
Keyboard keydown getting stuck in wine LFS.exe when key presses repeat is ena...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 14:51 EST by srakitnican
Modified: 2018-06-05 08:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:57:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LFS.exe configuration file with which problem occures (3.63 KB, text/plain)
2015-11-10 05:31 EST, srakitnican
no flags Details
The Westhill track position with bih FPS drop (684.21 KB, image/png)
2017-07-26 08:22 EDT, srakitnican
no flags Details
System monitor screenshot (817.43 KB, image/png)
2017-07-27 10:31 EDT, srakitnican
no flags Details

  None (edit)
Description srakitnican 2015-11-09 14:51:48 EST
Description of problem: 

When holding down a key for longer period it gets "stuck" down for a moment and it gets worse longer it is held down. For that moment input from keyboard gets "frozen" and it is not accepting any new input.

When gnome settings option "Key presses repeat when key is held down" is disabled, keyboard keys are not getting stuck. (http://i.imgur.com/tyIee9D.png)


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Start Live for Speed game in wine and configure throttle and brake to keyboard keys 'a' and 'y'
2. Choose single player and start a race
3. Hold down throttle key for ~10 seconds

Actual results: Throttle key still active after key release for 500ms to a second. If held for 20 seconds it would remain active for ~2 seconds and so on.


Expected results: On keyboard key release event gets updated in game also.


Additional info:

- That is new since I upgraded to Fedora 23, I had no such problem in Fedora 22.
- This happens in both xorg and wayland
Comment 1 srakitnican 2015-11-10 05:29:29 EST
I could not reproduce this on recreated .wine so I started to debug differences. I have narrowed it down to in game limited frame rate cause this to happen. On my computer (Intel G1620 [8086:0152]) this problem occurs on 30 frames per second or lower limited. With lower setting getting noticeable worse.

Related settings from cfg.txt that affect this issue:
Max FPS 30
Game Limit FPS 1
Comment 2 srakitnican 2015-11-10 05:31 EST
Created attachment 1092152 [details]
LFS.exe configuration file with which problem occures
Comment 3 srakitnican 2016-01-16 05:01:12 EST
Since I could not recreate working state with Fedora 23 easily, possibly due to packages not being in repository any more to use with "dnf downgrade", I have booted into Fedora 22 on my older hard drive in order to debug what package may have caused this. Started from a perfectly working state...


As there was passed a lot of time since I have last used this Fedora 22 install, there was a lot of updates available, so I've decided to split them up into sections to make debugging easier. After each update I have rebooted computer and directly run LFS.exe.


So after command:

$ sudo dnf --exclude=wine*,xorg-x11*,mesa*,lib*,ibus*  upgrade

And narrowing it down further:

$ sudo dnf upgrade ibus*

After which problems started to occur. And sure enough after downgrading ibus* and rebooting game was again working fine. I have tested it couple of times.


The transaction details as follows:
$ sudo dnf history info 50
Last metadata expiration check performed 2:54:20 ago on Sat Jan 16 08:01:15 2016.
Transaction ID : 50
Begin time     : Sat Jan 16 10:19:27 2016
Begin rpmdb    : 2081:753d5fc7734c3cc90340034fbfc59232cb111588
End time       :            10:19:41 2016 (14 seconds)
End rpmdb      : 2081:da643116dfaf7924750a880c7d18cb22367e3475
User           : <trim>
Return-Code    : Success
Command Line   : upgrade ibus*
Transaction performed with:
    Installed     dnf-1.1.5-1.fc22.noarch     @updates
    Installed     rpm-4.12.0.1-14.fc22.x86_64 @updates
Packages Altered:
    Upgraded ibus-1.5.10-5.fc22.x86_64                (unknown)
    Upgrade       1.5.11-1.fc22.1.x86_64              @updates
    Upgraded ibus-gtk2-1.5.10-5.fc22.x86_64           (unknown)
    Upgrade            1.5.11-1.fc22.1.x86_64         @updates
    Upgraded ibus-gtk3-1.5.10-5.fc22.x86_64           (unknown)
    Upgrade            1.5.11-1.fc22.1.x86_64         @updates
    Upgraded ibus-libs-1.5.10-5.fc22.x86_64           (unknown)
    Upgrade            1.5.11-1.fc22.1.x86_64         @updates
    Upgraded ibus-setup-1.5.10-5.fc22.noarch          (unknown)
    Upgrade             1.5.11-1.fc22.1.noarch        @updates
    Upgraded ibus-typing-booster-1.2.11-1.fc22.noarch (unknown)
    Upgrade                      1.3.0-3.fc22.noarch  @updates
    Upgraded ibus-wayland-1.5.10-5.fc22.x86_64        (unknown)
    Upgrade               1.5.11-1.fc22.1.x86_64      @updates
Comment 4 Fedora End Of Life 2017-07-25 15:27:51 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 fujiwara 2017-07-25 23:04:16 EDT
Sorry for leaving the bug.
Probably I need the installation steps of your env.
I forgot wine about 10 years ago and probably I have to set up it at home due to no windows and also not sure about the Speed game.
Comment 6 srakitnican 2017-07-26 02:28:39 EDT
Hi,

Sure, wine is available from Fedora repoes. To install it just install "wine". For this game in particular, I had to do few adjustments with "winetricks" - available as a standalone script or a package. I had to use few dlls override as it was not rendering the textures properly (IIRC) with wine's versions. Not sure if it still the case, though.

Game itself is free to use for one track and couple of cars, available from lfs.net. The setting I was seen taking the most effect was when I've limited the ingame FPS.
 
1. dnf install wine winetricks
2. Run game installer from from lfs.net
3. winetricks d3dcompiler_43 d3dx9_43 (not sure if still needed)
4. Settings Max FPS 30, and Game Limit FPS 1 or just use attached settings file as ~/.wine/drive_c/LFS/cfg.txt
5. Set controlls to mouse and keyboard and set throttle and brakes to a key on the keyboard. I use 'a' and 'y'
6. Go on track using any car and keep the throttle key pressed for ~10 seconds and then release

On step 6. some lag should occur in a form as a key stuck effect depending on how long the key was pressed.
Comment 7 fujiwara 2017-07-26 03:51:56 EDT
Downloaded SimDash.15.0.0.zip from https://www.lfs.net/downloads -> United States minor and extracted it.
Seems msi file is not supported and run `win setup.exe`

(In reply to srakitnican from comment #6)
> 5. Set controlls to mouse and keyboard and set throttle and brakes to a key
> on the keyboard. I use 'a' and 'y'
> 6. Go on track using any car and keep the throttle key pressed for ~10
> seconds and then release

I don't understand how to do the step #5 and #6.

Found $HOME/.wine/drive_c/Program\ Files\ \(x86\)/SymProjects/SimDash.15.0.0/SimDash.exe
Run `wine "C:\Program Files (x86)/SymProjects/SimDash.15.0.0/SimDash.exe"`

And got SEGV:
System.InvalidProgramException: Invalid IL code in eval_xf:a (string[]): IL_0005: pop       
[ERROR] FATAL UNHANDLED EXCEPTION: System.InvalidProgramException: Invalid IL code in eval_xf:a (string[]): IL_0005: pop
Comment 8 srakitnican 2017-07-26 03:56:40 EDT
The game installer is called "LFS_S3_6R_setup.exe" for the current version and it's a 525M file. Not sure where did you get SimDash.15.0.0.zip from.
Comment 9 fujiwara 2017-07-26 04:11:17 EDT
(In reply to srakitnican from comment #8)
> The game installer is called "LFS_S3_6R_setup.exe" for the current version
> and it's a 525M file. Not sure where did you get SimDash.15.0.0.zip from.

I meant https://www.lfs.net/downloads -> "DOWNLOADS" tab -> "Download mirror #6 - United States" -> http://www.symprojects.com/lfs-download -> "Downloads" link -> http://www.symprojects.com/downloads -> "Download SimDash V. 15"

I found LFS_S3_DCON_6R.zip in https://www.lfs.net/downloads -> "DOWNLOADS" tab -> "Dedicated host"

And extracted it and found "DCon.exe"

% wine DCon.exe 
fixme:winediag:start_process Wine Staging 2.12 is a testing version containing experimental patches.
fixme:winediag:start_process Please mention your exact version when filing bug reports on winehq.org.
Track loaded (BL1)
Host Name : BL1 race 5 laps (0)
Jul 26 17:03:14 2017
Handicaps :


And no any GUI is shown.

BTW, I cannot find "LFS" dir in $HOME/.wine/drive_c and did mkdir and put your cfg.txt
Comment 10 srakitnican 2017-07-26 04:17:54 EDT
LFS_S3_DCON_6R is the host/server version. At http://www.symprojects.com/lfs-download I see "Download Live for Speed" that points to: http://www.symprojects.it/downloads/LFS_S3_6R_setup.exe .


Anyway, it seems like the bug is not reproducible that well anymore, I am trying to get it but it seems it works well. I am sure I was getting it just a few week ago... But sometimes it is not reproducible at all, at sometimes it is reproducible every time, depending on machine or game restart, not sure.
Comment 11 srakitnican 2017-07-26 04:20:48 EDT
(In reply to srakitnican from comment #10)
> Anyway, it seems like the bug is not reproducible that well anymore, I am
> trying to get it but it seems it works well. I am sure I was getting it just
> a few week ago... But sometimes it is not reproducible at all, at sometimes
> it is reproducible every time, depending on machine or game restart, not
> sure.

I take that back, try to switch between gedit window and LFS.exe.
Comment 12 srakitnican 2017-07-26 04:42:53 EDT
Also, you can toggle Options - Display - Show pedals to 'Yes' to get visual indication of pressing and releasing.

Trying to get it reproducible like before, it still a bit of lag here and there, but cannot get it to a level of reproducibility like it was before .
Comment 13 fujiwara 2017-07-26 06:21:12 EDT
Seems a big file size and had to get a space.
Also seems to require much memory.

Added 1G swap:
% swapon -s
Filename				Type		Size	Used	Priority
/dev/dm-1                              	partition	978940	958216	-1
/var/tmp/swap                          	file    	1023996	750440	-2


Seems got a SEGV. Does lfs supports 64bit Fedora?


Unhandled exception: page fault on write access to 0x00000030 in 32-bit code (0x0055777e).
Register dump:
 CS:0023 SS:002b DS:002b ES:002b FS:0063 GS:006b
 EIP:0055777e ESP:0032ba10 EBP:0032ba74 EFLAGS:00010206(  R- --  I   - -P- )
 EAX:00000030 EBX:00000030 ECX:0032ba74 EDX:c3cf6368
 ESI:00000030 EDI:00000001
Stack dump:
0x0032ba10:  005571b6 00000030 0032ba74 455b89cc
0x0032ba20:  316117c4 00000001 46633f58 316117c4
0x0032ba30:  31716382 00000001 005569a6 00000030
0x0032ba40:  00000001 0032ba74 46657b68 00525d0c
0x0032ba50:  0032ba74 0b11f0b8 03d14550 00333f98
0x0032ba60:  2d04b1f8 455b8988 00000001 3161179c
Backtrace:
=>0 0x0055777e in lfs (+0x15777e) (0x0032ba74)
  1 0x42da17d0 (0xc3cf6368)
0x0055777e: movl        %edx,0x0(%eax)
Modules:
Module  Address                 Debug info      Name (107 modules)
PE        400000-  c80000       Export          lfs
PE        ea0000- 10a7000       Deferred        d3dcompiler_43
PE      10000000-101ff000       Deferred        d3dx9_43
Comment 14 fujiwara 2017-07-26 06:24:10 EDT
BTW, if you wish to disable IBUS.

% env GTK_IM_MODULE=gtk-im-context-simple wine LFS.exe
Comment 15 srakitnican 2017-07-26 06:34:14 EDT
(In reply to fujiwara from comment #13)
> Seems a big file size and had to get a space.
> Also seems to require much memory.
> 
> Added 1G swap:
> % swapon -s
> Filename				Type		Size	Used	Priority
> /dev/dm-1                              	partition	978940	958216	-1
> /var/tmp/swap                          	file    	1023996	750440	-2
> 
> 
> Seems got a SEGV. Does lfs supports 64bit Fedora?

Yes it does, I am using it on 64-bit all the time. I was getting some crashes related to missing s3tc texture processing package (libtxc_dxtn), but that was for another track, but maybe this track is using them now too since it got updated recently. libtxc_dxtn package is available from rpmfusion as it have some licensing issues.

The game itself should not be toot hard on resources.

(In reply to fujiwara from comment #14)
> BTW, if you wish to disable IBUS.
> 
> % env GTK_IM_MODULE=gtk-im-context-simple wine LFS.exe

Nice to know, will keep that in mind, thank you.
Comment 16 fujiwara 2017-07-26 07:08:04 EDT
libtxc_dxtn is installed but looked at the same SEGV.

(In reply to srakitnican from comment #15)
> > % env GTK_IM_MODULE=gtk-im-context-simple wine LFS.exe
> 
> Nice to know, will keep that in mind, thank you.

If this way can help you, probably I think this bug will not be fixed.

(In reply to srakitnican from comment #3)
> Since I could not recreate working state with Fedora 23 easily, possibly due
> to packages not being in repository any more to use with "dnf downgrade", I
> have booted into Fedora 22 on my older hard drive in order to debug what
> package may have caused this. Started from a perfectly working state...

Are you still able to reproduce your problem in Fedora 23 ibus-1.5.11 or later?
Did you have a chance to try Fedora 26?

> After which problems started to occur. And sure enough after downgrading
> ibus* and rebooting game was again working fine. I have tested it couple of
> times.

Do you mean you don't see your problem in ibus-1.5.10 but you can reproduce your problem in ibus-1.5.11 easily?
Comment 17 srakitnican 2017-07-26 08:19:48 EDT
Yes I can! Unfortunately not on Blackwood (the free track) noticeable enough anymore. Reason may be because I can't drop frames there more then aroun 23-24. Maybe mesa drivers got better? But with less powerfull machine may be possible. The biggest drop in frames I've found is around 20 FPS and there the locking effect is huge, can be as high as two seconds.

Some notes:

 - FPS has to drop around 20, bellow 23 is noticeable.
 - "env GTK_IM_MODULE=gtk-im-context-simple wine LFS.exe" doesn't help
 - "gsettings set org.gnome.desktop.peripherals.keyboard repeat false" completely eliminates locking effect
 - sudo dnf remove ibus and logout and "pkill -u <user>" eliminated lag at ~20 FPS with peripherals.keyboard repeat true
 
   Packages Altered:
      Erase google-noto-emoji-fonts-20170608-1.fc25.noarch @updates
      Erase ibus-1.5.14-5.fc25.x86_64                      @updates
      Erase ibus-gtk2-1.5.14-5.fc25.x86_64                 @updates
      Erase ibus-gtk3-1.5.14-5.fc25.x86_64                 @updates
      Erase ibus-hangul-1.5.0-6.fc24.x86_64                (unknown)
      Erase ibus-kkc-1.5.22-4.fc24.x86_64                  (unknown)
      Erase ibus-libpinyin-1.9.0-1.fc25.x86_64             @updates
      Erase ibus-libzhuyin-1.7.10-1.fc25.x86_64            @updates-testing
      Erase ibus-m17n-1.3.4-21.fc25.x86_64                 @updates
      Erase ibus-qt-1.3.3-12.fc25.x86_64                   @updates
      Erase ibus-rawcode-1.3.2-7.fc24.x86_64               (unknown)
      Erase ibus-setup-1.5.14-5.fc25.noarch                @updates
      Erase ibus-typing-booster-1.5.32-1.fc25.noarch       @updates
      Erase ibus-wayland-1.5.14-5.fc25.x86_64              @updates

 - Undoing the process makes the issue reappear, dnf history undo last, logoff, pkill -u
 - Happens on Fedora 26 as well
Comment 18 srakitnican 2017-07-26 08:22 EDT
Created attachment 1304751 [details]
The Westhill track position with bih FPS drop
Comment 19 srakitnican 2017-07-26 08:26:02 EDT
(In reply to fujiwara from comment #16)

> > After which problems started to occur. And sure enough after downgrading
> > ibus* and rebooting game was again working fine. I have tested it couple of
> > times.
> 
> Do you mean you don't see your problem in ibus-1.5.10 but you can reproduce
> your problem in ibus-1.5.11 easily?

Yes, exactly, Did not see this problem with ibus-1.5.10.
Comment 20 fujiwara 2017-07-26 23:40:02 EDT
(In reply to srakitnican from comment #17)
> Yes I can! Unfortunately not on Blackwood (the free track) noticeable enough
> anymore. Reason may be because I can't drop frames there more then aroun
> 23-24. Maybe mesa drivers got better? But with less powerfull machine may be
> possible. The biggest drop in frames I've found is around 20 FPS and there
> the locking effect is huge, can be as high as two seconds.
> 
> Some notes:
> 
>  - FPS has to drop around 20, bellow 23 is noticeable.

Probably it's hard for me to understand what you describe here since I cannot launch LFS.
I also don't know what is Blackwood (the free track).

>  - "env GTK_IM_MODULE=gtk-im-context-simple wine LFS.exe" doesn't help

Oh, I mistook it, LFS is not a GTK application.
Correction:

% env XMODIFIERS=@im=none wine LFS.exe

>  - Happens on Fedora 26 as well

OK, I see.

(In reply to srakitnican from comment #18)
> Created attachment 1304751 [details]
> The Westhill track position with bih FPS drop

Probably I don't know what you're pointing out in the image.
Comment 21 srakitnican 2017-07-27 04:26:32 EDT
(In reply to fujiwara from comment #20)
> (In reply to srakitnican from comment #17)
> >  - "env GTK_IM_MODULE=gtk-im-context-simple wine LFS.exe" doesn't help
> 
> Oh, I mistook it, LFS is not a GTK application.
> Correction:
> 
> % env XMODIFIERS=@im=none wine LFS.exe

This also eliminates stuck key effect, yes!
 
> (In reply to srakitnican from comment #18)
> > Created attachment 1304751 [details]
> > The Westhill track position with bih FPS drop
> 
> Probably I don't know what you're pointing out in the image.

This is more of a pointer for me and anyone trying to reproduce this. If I park the car in this spot I get major FPS drop causing this issue to show up easily.
Comment 22 fujiwara 2017-07-27 05:20:55 EDT
(In reply to srakitnican from comment #21)
> > Correction:
> > 
> > % env XMODIFIERS=@im=none wine LFS.exe
> 
> This also eliminates stuck key effect, yes!

OK, good to hear the result.
Probably I think the game does not need input methods and the workaround works fine for that gamers.
Probably I will leave this bug.

But maybe I know the change caused this bug.
https://github.com/ibus/ibus/releases/tag/1.5.11
ibus has reverted asynced key events to synced key events since 1.5.11 because X11 application causes a freeze.
You can bring back the change with the following way:
1. Run `ibus exit`
% ibus exit

2. Set IBUS_ENABLE_SYNC_MODE=0 for /usr/libexec/ibus-x11 with root user
# mv /usr/libexec/ibus-x11 /usr/libexec/ibus-x11.orig
# vi /usr/libexec/ibus-x11
# cat /usr/libexec/ibus-x11
#!/bin/sh
export IBUS_ENABLE_SYNC_MODE=0
${0}.orig $@

3. Run `ibus-daemon`
% ibus-daemon --xim &


Currently I don't know which ibus, wine, lfs has the root cause but I cannot launch lfs and seems lfs is a closed source code.
Comment 23 srakitnican 2017-07-27 07:51:52 EDT
Seems that is it!

I've logged out instead since I was getting a message "current session already has an ibus-daemon.", but should not make a difference.


$ sudo mv /usr/libexec/ibus-x11 /usr/libexec/ibus-x11.orig 
$ sudo vim /usr/libexec/ibus-x11
$ sudo chmod +x /usr/libexec/ibus-x11
$ cat /usr/libexec/ibus-x11
#!/bin/sh
export IBUS_ENABLE_SYNC_MODE=0
${0}.orig $@

...logout and 'pkill -u <user>' and login

$ ps aux | grep ibus
gdm       1445  0.0  0.1 351264  8344 tty1     Sl   Srp26   0:00 ibus-daemon --xim --panel disable
gdm       1449  0.0  0.0 273844  5696 tty1     Sl   Srp26   0:00 /usr/libexec/ibus-dconf
gdm       1452  0.0  0.3 397336 27404 tty1     Sl   Srp26   0:00 /usr/libexec/ibus-x11 --kill-daemon
gdm       1577  0.0  0.0 200048  5632 tty1     Sl   Srp26   0:00 /usr/libexec/ibus-engine-simple
srakit    5861  0.0  0.1 351416  8404 tty3     Sl   13:37   0:00 ibus-daemon --xim --panel disable
srakit    5866  0.0  0.0 273876  5884 tty3     Sl   13:37   0:00 /usr/libexec/ibus-dconf
srakit    5874  0.0  0.0  11304  2968 tty3     S    13:37   0:00 /bin/sh /usr/libexec/ibus-x11 --kill-daemon
srakit    5876  0.0  0.3 354480 21808 tty3     Sl   13:37   0:00 /usr/libexec/ibus-x11.orig --kill-daemon
srakit    6194  0.0  0.0 200180  5748 tty3     Sl   13:37   0:00 /usr/libexec/ibus-engine-simple
srakit    6764  0.0  0.0  10768   996 pts/1    R+   13:40   0:00 grep --color=auto ibus


After that "key stuck" effect is not present, without any other modifications.
Comment 24 srakitnican 2017-07-27 10:31 EDT
Created attachment 1305424 [details]
System monitor screenshot

Seems that FPS drop ingame because CPU is overloaded at that spot, so it seems it has something to do with machine load. GPU seems not loaded that much at all.
Comment 25 Pravin Satpute 2018-03-22 02:31:47 EDT
srakitnican  Can you test this issue on F27 and let us know, if this still causing issue? 

Basically, this bug soon will get auto closed due to EOL for F26, to avoid that lets triage it to latest release.
Comment 26 Fedora End Of Life 2018-05-03 04:46:16 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 27 Fedora End Of Life 2018-05-29 07:57:13 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 28 srakitnican 2018-06-05 08:08:21 EDT
Can't test properly. There are new problems on newer Fedora which are causing dropped frames and lag.

Note You need to log in before you can comment on or make changes to this bug.